ifconfig [up|down] broken

Simon Geard delgarde at ihug.co.nz
Tue Dec 2 23:35:49 PST 2008


On Tue, 2008-12-02 at 23:39 +0100, Per Arne Munthe wrote:
> The versions i have is :
> 
>  - NetworkManager-6.5.0/network-manager-applet-6.5.0
>  - libnl-1.0-pre6
>  - dhclient from dhcp-3.0.6 with both patches
>  - wpa_supplicant v0.5.8
>  - HAL package version: 0.5.9.1
> 
> *Any* help in getting me to understand what's going on is much apreciated ;-)

This is why I mentioned "current SVN" in that email. The 0.6 series
contains a large amount of distro-dependent code, forcing me to write an
LFS-specific implementation in order to make it work. I don't know which
distro your one thinks it's running, but most of the errors look like
that kind of thing. References to distro-specific bootscripts, for
example.

"Current SVN" at the time (recently released as 0.7) cleaned that up a
lot, to the point where I've been running it for the last year or so
without any custom coding at all. It needs to be built with
--with-distro=redhat
but it works just fine on LFS.

So, I'd suggest trying that. If you still have problems, I suggest
taking them to the NM mailing list rather than here - from my
experience, they're unlikely to be LFS-specific...

Simon.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 197 bytes
Desc: This is a digitally signed message part
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-support/attachments/20081203/535a1ac7/attachment.sig>


More information about the blfs-support mailing list